Subject: Re: [bug#75751] Request for merging "python-team" branch

From: Christopher Baines <[email-masked]>
Date: Wed, 09 Apr 2025 15:22:42 +0100

Andreas Enge <[email-masked]> writes:

> If you then reopen the bug, the python-team branch should jump back to
> its place at the front of the queue and be built again.
>
> Chris, I wonder if we could add some way of interacting more directly on
> QA than by closing and opening bugs?

QA looking at what issues block each other is intended to provide a way
to tweak the order of branches in the queue, although maybe that's a
little more complicated to tweak than opening and closing issues.

> In this case, we could add a third branch to the number of evaluations
> (which we might want to lower to 2 again once the python-team branch
> is back). But this would probably mean reconfiguring one of the
> machines?

I'm fine with this being tweaked in the code, it's just the number
around here:

  https://git.savannah.gnu.org/cgit/guix/qa-frontpage.git/tree/guix-qa-frontpage/manage-builds.scm?h=trunk#n446